#include <stdio.h>
#include <stdlib.h>

//Dizi elle olusturuldu.

void findmax(int *a)
{
    int max;
    int n=0;

    max=*a;

    for(n=0;n<9;n++) {
        if (*(a+1)>max) {
            max=*(a+1);
        }
    }

    printf("Maximum is %d",max);
    free(a);
}

int main()
{

    int *x,i;

    x=(int*)malloc(10*sizeof(int));

    for(i=0;i<10;i++) {
       printf("Enter %dth number of array :",i);
       scanf("%d",x);
       ++x;
    }

    findmax(x);

    return 0;
}
